homepage/urls.py
from django.urls import path
from . import views

app_name = 'homepage'

urlpatterns = [
    path('', views.kreasi1, name='kreasi1'),
    path('home/', views.kreasi1, name='kreasi1'),
    path('about-me/', views.aboutme, name='aboutme'),
    path('story/', views.story, name='story'),
    path('schedule/', views.schedule, name='schedule'),
    path('adventure/', views.adventure, name='adventure'),
    path('create/', views.create, name='create'),
    path('list/', views.list, name='list'),
]

story/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('homepage.urls')),
]

homepage/models.py
from django.db import models

# Create your models here.

class Schedule(models.Model):
    judul = models.CharField(max_length = 100)
    body = models.TextField()
    author = models.CharField(max_length = 100)

    LIST_CATEGORY = (
        ('Jurnal','jurnal'),
        ('Berita','berita'),
        )

    category = models.CharField(
        max_length = 100,
        choices = LIST_CATEGORY,
        default = 'jurnal',
        )

    def __str__(self):
        return "{}.{}".format(self.id,self.judul)

homepage/forms.py
from django import forms
from .models import Schedule

class PostForm(forms.ModelForm):
    class Meta:
        model = Schedule
        fields = [
            'author',
            'judul',
            'body',
            'category',
        ]

        widgets = {
            'judul': forms.TextInput(
                attrs = {
                    'class':'form-control',
                    'placeholder':'isi dengan judul artikel',}
            ),

            'author': forms.TextInput(
                attrs = {
                    'class':'form-control',
                    'placeholder':'nama penulis',}
            ),
            'body': forms.Textarea(
                attrs = {
                    'class':'form-control',}
            ),
            'category': forms.Select(
                attrs = {
                    'class':'form-control',}
            ),
        }

homepage/views.py
from django.shortcuts import render, redirect

from .forms import PostForm
from .models import Schedule

# Create your views here.
def kreasi1(request):
    return render(request, 'kreasi1.html')

def aboutme(request):
    return render(request, 'aboutme.html')

def story(request):
    return render(request, 'story.html')

def schedule(request):
    return render(request, 'schedule.html')

def adventure(request):
    return render(request, 'adventure.html')


#####
def list(request):
    posts = Schedule.objects.all()

    context = {
        'page_title':'Semua Post',
        'posts':posts,
    }
    return render(request,'blog/list.html',context)

def create(request):
    post_form = PostForm(request.POST or None)

    if request.method == 'POST': # POST request dari browser
        if post_form.is_valid():
            post_form.save()

            return redirect('blog:list')

    context = {
        'page_title':'Create Post',
        'post_form':post_form,
    }
    return render(request,'blog/create.html',context)

homepage/templates/aboutme.html
{% extends 'base.html' %}
{% load static %}
{% block content %}

<!DOCTYPE html>
<html lang="en">
<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
	<link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
	<link rel="stylesheet" href="{% static 'css/kreasi1_css.css' %}">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.1/normalize.min.css">
	<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">

	<title>A | about me</title>

	<style>
		body{
			padding: 0;
			margin: 0;
			background: url("/static/img/page2.jpg");
			background-size: cover;
			opacity: .85;
		}
		h1{
			font-size: 45px;
		}
		h2{
			font-size: 45px;
			color: #1ebba3;
			text-decoration: underline;
		}
		h5{
			font-size: 26px;
			color: rgb(194, 69, 121);
		}
		p{
			font-size: 26px;
		}
		.padding {
			padding-bottom: 2rem;
		}
		.welcome {
			width: 75%;
			margin: 0 auto;
			padding-top: 2rem;
		}
		.welcome hr {
			border-top: 2px solid #b4b4b4;
			width: 95%;
			margin-top: .3rem;
			margin-bottom: 1rem;
		}
		
	</style>
</head>



<body data-spy="scroll" data-target="#navbarResponsive">
	<!-- Start Home Section-->
	<div id="home">
	<div class="container-fluid padding">
		<div class="row welcome text-center">
			<div class="col-12">
				<h1 class="display-4 text-white">🌜🌇🌉🎠🎡✨</h1>
			</div>
			<hr>
			<div class="col-12">
				<p class="lead text-white">
				" Time flies, but you are the pilot " -THE SCRIPT
				</p>
			</div>
			</div>
		</div>
	</div>

<div class="jumbotron jumbotron-fluid">
	<div class="container text-center">
		<img src="{% static 'img/athiya.jpg' %}" width="300" class="rounded-circle">
		<h1 class="display-4">Athiya Fatihah Akbar</h1>
		<p class="lead">Student at Universitas Indonesia</p>
	</div>
</div>
<div class="container">
	<div class="row">
		<div class="col">
			<h1 class="text-white">About Me</h1>
		</div>
	</div>
	<div class="row">
		<div class="col-text-center">
			<p class="text-center text-white">
				Hello There!
				People usually call me by my first name, Athiya.
 				I am new to this "web-programming" field, but I am eager to learn new things like this.
				I am currently in my 2nd year student of Computer Science in Universitas Indonesia.
				in my spare time I enjoy reading, browsing some aesthetic things on Pinterest, and spending time with my journal.
				I hope this year and next year brings hope and happiness to everyone!
				This is my brief introduction. anyway, thank you for visiting my homepage💕🌹
                Sincerely,
				-THI
			</p><br>
		</div>
	</div>
</div>

	<div class="container fluid padding text-white">
	<div class="row text-center padding">
		<div class="col-xs-12 col-sm-6 col-md-4">
			<i class="fa fa-school"></i>
			<h2>Education</h2><br>
			<h5>[2006 - 2008]</h5><br><p>Niigata Shiritsu Ikarashi Elementary School Niigata, Japan</p><br>
			<h5>[2009 - 2012]</h5><br><p>SDIT Al-Biruni</p><br>
			<h5>[2012 - 2015]</h5><br><p>Al-Azhar Asy-Syarif Indonesia</p><br>
			<h5>[2015 - 2018]</h5><br><p>SMAN 38 Jakarta</p><br>
			<h5>[2018 - now]</h5><br><p>Universitas Indonesia</p>
		</div>
		<div class="col-xs-12 col-sm-6 col-md-4">
			<i class="fa fa-network-wired"></i>
			<h2>Experience</h2><br>
			<h5>[2009 - 2011]</h5><br><p>KUMON</p><br>
			<h5>[2013 - 2014]</h5><br><p>OSIS MTsN Al-Azhar Asy-Syarif as Bendahara I</p><br>
			<h5>[2015 - 2017]</h5><br><p>Tenkei Aikidojo GOR Ragunan</p><br>
			<h5>[2017 - 2018]</h5><br><p>ROHIS SMAN 38 Jakarta as Bendahara I</p><br>
		</div>
		<div class="col-sm-12 col-md-4">
			<i class="fa fa-user-astronaut"></i>
			<h2>Hobbies</h2><br>
			<p>Reading novel</p><br>
			<p>Journaling</p><br>
			<p>Crafting</p><br>
			<p>Review a book</p><br>
			<p>Listening to music</p><br>
		</div>
	</div>
	<hr class="my-4">
	</div>
	
</body>

</html>

{% endblock %}

homepage/templates/adventure.html
{% extends 'base.html' %}
{% load static %}
{% block content %}

<!DOCTYPE html>

<html lang="en">
<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
	<link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
	<link rel="stylesheet" href="{% static 'css/kreasi1_css.css' %}">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">

	<title>A | adventure</title>


	<style>
		body{
			padding: 0;
			margin: 0;
			background: url("/static/img/bg2.jpg");
			background-size: cover;
		}
		.middle {
			position: absolute;
			top: 50%;
			transform: translateY(-50%);
			width: 100%;
			text-align: center;
		}
		.middle h1{
			color: rgb(131, 173, 47);
		}
		.middle h2{
			color: rgb(52, 54, 48);
		}
		.btn {
			display: inline-block;
			width: 90px;
			height: 90px;
			background: #f1f1f1;
			margin: 10px;
			border-radius: 30%;
			box-shadow: 0 5px 15px -5px #00000070;
			color: rgb(131, 173, 47);
			overflow: hidden;
			position: relative;
		}
		.btn i {
			line-height: 90px;
			font-size: 26px;
			transition: 0.2s linear;
		}
		.btn:hover i{
			transform: scale(1.3);
			color: #f1f1f1;
		}
		.btn::before{
			content: "";
			position: absolute;
			width: 120%;
			height: 120%;
			background: rgb(131, 173, 47);
			transform: rotate(45deg);
			left: -110%;
			top: 90%;
		}
		.btn:hover::before{
			animation: aaa 0.7s 1;
			top: -10%;
			left: -10%;
		}
		@keyframes aaa{
			0%{
				left: -110%;
				top: 90%;
			}50%{
				left: 10%;
				top: -30%;
			}100%{
				top: -10%;
				left: -10%;
			}
		}
	
	</style>
</head>

<body data-spy="scroll" data-target="#navbarResponsive">
<!-- Start Home Section-->
	<div id="home">
	<div class="middle">
		<h1>Don't be a stranger</h1><br>
		<h2>Find me and just say HELLO !</h2><br>

		<a class="btn" href="https://gitlab.com/athiya.fatihah" target="_blank">
			<i class="fab fa-gitlab"></i>
		</a>
		<a class="btn" href="https://www.goodreads.com/user/show/95543996-athiya-akbar" target="_blank">
			<i class="fab fa-goodreads"></i>
		</a>
		<a class="btn" href="mailto:athiya.fatihah17@gmail.com" target="_blank">
			<i class="fab fa-google"></i>
		</a>
		<a class="btn" href="https://id.linkedin.com/in/athiya-fatihah-akbar-75250b173" target="_blank">
			<i class="fab fa-linkedin"></i>
		</a>
		<a class="btn" href="https://gweebon.tumblr.com" target="_blank">
				<i class="fab fa-tumblr"></i>
		</a>
	</div>
</body>

</html>

{% endblock %}

homepage/templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
	<link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
	<link rel="stylesheet" href="{% static 'css/kreasi1_css.css' %}">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.1/normalize.min.css">

	<title>Athiya's profile</title>
</head>

<body data-spy="scroll" data-target="#navbarResponsive">
<!-- Start Home Section-->
<div id="home">
	<!-- Navigation -->
	<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
		<!--<a class="navbar-brand" href="#"><img src="{% static 'img/logo.png' %}" alt="logo-bar"></a>-->
		<button class="navbar-toggler" type="button" data-toggle="collapse"
		data-target="#navbarResponsive">
			<span class="navbar-toggler-icon"></span>
	</button>

	<div class="collapse navbar-collapse" id="navbarResponsive">
		<ul class="navbar-nav ml-auto">
			<li class="nav-item">
				<a class="nav-link" href="{% url 'homepage:kreasi1' %}">Home</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="{% url 'homepage:aboutme' %}">About Me</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="{% url 'homepage:story' %}">Story</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="{% url 'homepage:schedule' %}">Schedule</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="{% url 'admin:index' %}">Admin</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="{% url 'homepage:adventure' %}">Adventure</a>
			</li>
		</ul>
	</div>
	</nav>
	{% block content %}
		{% endblock %}
	</body>
</html>

homepage/templates/blog/create.html
{% extends "base.html" %}

{% block title %}
	{{page_title}}
{% endblock title %}

{% block contents %}
	<h1>{{page_title}}</h1>
	
	<form method='POST'>
		{% csrf_token %}
		{% for form in post_form %}
			<div class="form-group">
				{{form.label}}
				{{form}}
		</div>
		{% endfor %}
		
	
		<!--
		<table>
			{{post_form.as_table}}
		</table>-->
		
		<button class='btn btn-primary' type="Submit">Kirim</button>
	</form>
{% endblock contents %}

homepage/templates/blog/list.html
{% extends "base.html" %}

{% block title %}
	{{page_title}}
{% endblock title %}

{% block contents %}
	<h1>{{page_title}}</h1>
	<br>
	{% for post in posts %}
		<h3>{{post.judul}}</h3>
		<h5>penulis: {{post.author}}</h5>
		<h5>category: {{post.category}}</h5>
		<p>{{post.body}}</p>
	{% endfor %}
{% endblock contents %}

homepage/templates/kreasi1.html
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
	<link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
	<link rel="stylesheet" href="{% static 'css/style.css' %}">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.1/normalize.min.css">

	<title>Athiya's profile</title>
</head>

<body data-spy="scroll" data-target="#navbarResponsive">
<!-- Start Home Section-->
<div id="home">
	<!-- Navigation -->
	<nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
		<a class="navbar-brand" href="#"><img src="{% static 'img/logo.png' %}" alt="logo-bar"></a>
		<button class="navbar-toggler" type="button" data-toggle="collapse"
		data-target="#navbarResponsive">
			<span class="navbar-toggler-icon"></span>
	</button>

	<div class="collapse navbar-collapse" id="navbarResponsive">
		<ul class="navbar-nav ml-auto">
			<li class="nav-item">
				<a class="nav-link" href="{% url 'homepage:kreasi1' %}">Home</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="{% url 'homepage:aboutme' %}">About Me</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="{% url 'homepage:story' %}">Story</a>
			</li>
			<li class="nav-item">
				<a class="nav-link" href="{% url 'homepage:adventure' %}">Adventure</a>
			</li>
		</ul>
	</div>
	</nav>
	<!-- End of Navigation -->
	<!-- Start Landing Page Section-->
	<div class="landing">
		<div class="home-wrap">
			<div class="home-inner">
			</div>
		</div>
	</div>

	<div class="caption text-center">
		<h1>Hi !</h1>
		<h2>This is Thi.</h2>
		<a class="btn btn-outline-light btn-lg" href="{% url 'homepage:aboutme' %}">Get Started</a>
	</div>
	<!-- End of Landing Page Section-->
</div>
<!-- End of Home Section-->

<!-- Start About Me Section-->
<div id="aboutme" class="offset">
	<div class="col-12">
	</div>
</div>
<!-- End of About Me Section-->

<!-- Start Story Section-->
<div id="story" class="offset">

</div>
<!-- End of Story Section-->

<!-- Start Adventure Section-->
<div id="adventure" class="offset">

</div>
<!-- End of Adventure Section-->

</body>
</html>

homepage/templates/schedule.html
{% extends 'base.html' %}
{% load static %}
{% block content %}

<!DOCTYPE html>
<html lang="en">
<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
	<link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
	<link rel="stylesheet" href="{% static 'css/kreasi1_css.css' %}">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.1/normalize.min.css">
	<link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet">

	<title>A | Thi's Schedule</title>

</head>



<body data-spy="scroll" data-target="#navbarResponsive">
	<!-- Start Home Section-->

</body>

</html>

{% endblock %}

homepage/templates/story.html
{% extends 'base.html' %}
{% load static %}
{% block content %}

<!DOCTYPE html>

<html lang="en">
<head>
	<!-- Required meta tags -->
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
	<link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
	<link rel="stylesheet" href="{% static 'css/kreasi1_css.css' %}">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/8.0.1/normalize.min.css">

	<title>A | story</title>

	<style>
	body{
		background-image: url("/static/img/bg1.jpg");
	}
	.thi-gallery{
		color: #1ebba3;
		font-size: 40px;
	}
	</style>
</head>

<body data-spy="scroll" data-target="#navbarResponsive">
<!-- Start Home Section-->
<div id="home">
		<h1> ... </h1>
				<div class="thi-gallery">
					<h1 class="text-center">GALLERY OF THI</h1>
					<div class="row mb-3">
						<div class="col-md-4">
							<div class="card">
								<img src="{% static 'img/pict1.JPG' %}" alt="Park" class="card-img-top">
							</div>
						</div>
						 
						<div class="col-md-4">
							<div class="card">
								<img src="{% static 'img/pict2.JPG' %}" alt="Park" class="card-img-top">
							</div>
						</div>
						 
						<div class="col-md-4">
							<div class="card">
								<img src="{% static 'img/pict5.JPG' %}" alt="Park" class="card-img-top">
							</div>
						</div>
					</div>
					  <div class="row"> 
						<div class="col-md-4">
							<div class="card">
								<img src="{% static 'img/pict4.JPG' %}" alt="Park" class="card-img-top">
							</div>
						</div>
						 
						<div class="col-md-4">
							<div class="card">
								<img src="{% static 'img/pict6.JPG' %}" alt="Park" class="card-img-top">
							</div>
						</div>
						 
						<div class="col-md-4">
							<div class="card">
								<img src="{% static 'img/pict3.JPG' %}" alt="Park" class="card-img-top">
							</div>
						</div>
						
						<div class="col-md-4">
								<div class="card">
									<img src="{% static 'img/pict7.jpg' %}" alt="Park" class="card-img-top">
								</div>
							</div>
							 
							<div class="col-md-4">
								<div class="card">
									<img src="{% static 'img/pict8.jpg' %}" alt="Park" class="card-img-top">
								</div>
							</div>
							 
							<div class="col-md-4">
								<div class="card">
									<img src="{% static 'img/pict9.jpg' %}" alt="Park" class="card-img-top">
								</div>
							</div>
						</div>
						  <div class="row"> 
							<div class="col-md-4">
								<div class="card">
									<img src="{% static 'img/pict10.jpg' %}" alt="Park" class="card-img-top">
								</div>
							</div>
							 
							<div class="col-md-4">
								<div class="card">
									<img src="{% static 'img/pict11.jpg' %}" alt="Park" class="card-img-top">
								</div>
							</div>
							 
							<div class="col-md-4">
								<div class="card">
									<img src="{% static 'img/pict12.jpg' %}" alt="Park" class="card-img-top">
								</div>
							</div>


							<div class="col-md-4">
									<div class="card">
										<img src="{% static 'img/pict13.jpg' %}" alt="Park" class="card-img-top">
									</div>
								</div>
								 
								<div class="col-md-4">
									<div class="card">
										<img src="{% static 'img/pict14.jpg' %}" alt="Park" class="card-img-top">
									</div>
								</div>
								 
								<div class="col-md-4">
									<div class="card">
										<img src="{% static 'img/pict15.jpg' %}" alt="Park" class="card-img-top">
									</div>
								</div>
							</div>
							  <div class="row"> 
								<div class="col-md-4">
									<div class="card">
										<img src="{% static 'img/pict17.jpg' %}" alt="Park" class="card-img-top">
									</div>
								</div>
								 
								<div class="col-md-4">
									<div class="card">
										<img src="{% static 'img/pict16.jpg' %}" alt="Park" class="card-img-top">
									</div>
								</div>
								 
								<div class="col-md-4">
									<div class="card">
										<img src="{% static 'img/pict18.jpg' %}" alt="Park" class="card-img-top">
									</div>
								</div>

								<div class="col-md-4">
										<div class="card">
											<img src="{% static 'img/pict19.jpg' %}" alt="Park" class="card-img-top">
										</div>
									</div>
									 
									<div class="col-md-4">
										<div class="card">
											<img src="{% static 'img/pict20.jpg' %}" alt="Park" class="card-img-top">
										</div>
									</div>
									 
									<div class="col-md-4">
										<div class="card">
											<img src="{% static 'img/pict21.jpg' %}" alt="Park" class="card-img-top">
										</div>
									</div>
								</div>
								  <div class="row"> 
									<div class="col-md-4">
										<div class="card">
											<img src="{% static 'img/pict22.jpg' %}" alt="Park" class="card-img-top">
										</div>
									</div>
									 
									<div class="col-md-4">
										<div class="card">
											<img src="{% static 'img/pict23.jpg' %}" alt="Park" class="card-img-top">
										</div>
									</div>
									 
									<div class="col-md-4">
										<div class="card">
											<img src="{% static 'img/pict24.jpg' %}" alt="Park" class="card-img-top">
										</div>
									</div>
					</div>
			  
				</div>
			  
			</div>
			 
			</div>
</body>

</html>

{% endblock %}